/****************************************************************/
/* AMR VAF MEASUREMENT                                          */
/* 1999 copyright Nortel Networks                               */
/* All Rights reserved                                          */
/* This C code may only be used for AMR-NS selection phase for  */
/* the assesment of the impact on VAF                           */
/* Filename : desc.c                                            */
/****************************************************************/
/* File History                                                 */
/* DATE         AUTHOR          DESCRIPTION                     */
/* 09/99        F.GABIN         Creation                        */
/****************************************************************/
#include "main.h"

/* Description of each group of preprocessed file */
/* Last record must be set to -1 */

FileDesc files[] = {
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
/* ARCON Speech Material */
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
   /* Experiment 3a */
   /* AMR Mode 12.2 kbps */
   /* Lab a */
   /* Condition 19 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "03a",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "19"                          /* Condition */
   },
   /* Condition 25 car noise 12dB */
   {
      CAR_NOISE,
     "MR122",                       /* Mode rate */
      ARCON_BASE,
	  "04a",
	  "e",
      ARCON_CANDIDATE_ACRONYM,
      "s",
      1,
      6,
      1,
	  "15"
   },
#if 0 /* Identical to cond. 19 */
   /* Condition 31 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "03a",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "31"                          /* Condition */
   },
#endif
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/

   /* Experiment 3b */
   /* Lab a */
   /* Condition 19 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "03b",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "19"                        /* Condition */
   },
   /* Condition 25 street noise 15dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "03b",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "25"                          /* Condition */
   },
#if 0 /* Identical to cond. 19 */
   /* Condition 31 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "03b",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "31"                          /* Condition */
   },
#endif
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/

   /* Experiment 3c */
   /* Lab a */
   /* Condition 19 babble noise 9dB */
   {
      BABBLE_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "03c",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "19"                          /* Condition */
   },
   /* Condition 25 babble noise 15dB */
   {
      BABBLE_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "03c",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "25"                          /* Condition */
   },
#if 0 /* Identical to cond. 19 */
   /* Condition 31 babble noise 19dB */
   {
      BABBLE_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "03c",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "31"                          /* Condition */
   },
#endif
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/

   /* Experiment 4a */
   /* AMR Mode 5.9 kbps */
   /* Lab e */
   /* Condition 15 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR59",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "04a",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "15"                          /* Condition */
   },
   /* Condition 21 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR59",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "04a",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "21"                          /* Condition */
   },
   /* Condition 27 babble noise 9dB */
   {
      BABBLE_NOISE,                 /* Noise type */
     "MR59",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "04a",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "27"                          /* Condition */
   },
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/

   /* Experiment 4b */
   /* Lab e */
   /* Condition 15 car noise 12dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR59",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "04b",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "15"                          /* Condition */
   },
   /* Condition 21 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR59",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "04b",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "21"                          /* Condition */
   },
   /* Condition 27 babble noise 9dB */
   {
      BABBLE_NOISE,                 /* Noise type */
     "MR59",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "04b",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "27"                          /* Condition */
   },
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
   /* Experiment 5a */
   /* AMR Mode 12.2 kbps */
   /* Lab e */
   /* Condition 15 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "05a",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "15"                          /* Condition */
   },
   /* Condition 21 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "05a",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "21"                          /* Condition */
   },
   /* Condition 27 babble noise 9dB */
   {
      BABBLE_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "05a",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "27"                          /* Condition */
   },
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/


   /* Experiment 5b */
   /* AMR Mode 12.2 kbps */
   /* Lab e */
   /* Condition 15 car noise 12dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "05b",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "15"                          /* Condition */
   },
   /* Condition 21 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "05b",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "21"                          /* Condition */
   },
   /* Condition 27 babble noise 9dB */
   {
      BABBLE_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "05b",                        /* Experiment */
	  "e",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "27"                          /* Condition */
   },
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
   /* Experiment 6a */
   /* AMR Mode 5.9 kbps */
   /* Lab d */
   /* Condition 7 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR59",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "06a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "07"                           /* Condition */
   },
   /* AMR Mode 12.2 kbps */
   /* Condition 13 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "06a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "13"                          /* Condition */
   },
#if 0 /* Identical to cond. 7 */
   /* Condition 19 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "06a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "19"                          /* Condition */
   },
#endif
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
   /* Experiment 7a */
   /* AMR Mode 5.9 kbps */
   /* Lab d */
   /* Condition 7 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR59",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "07a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "07"                           /* Condition */
   },
   /* AMR Mode 12.2 kbps */
   /* Condition 13 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "07a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "13"                          /* Condition */
   },
#if 0 /* Identical to cond. 7 */
   /* Condition 19 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "07a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "19"                          /* Condition */
   },
#endif
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
   /* Experiment 8a */
   /* AMR Mode 7.4 kbps */
   /* Lab d */
   /* Condition 7 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR74",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "08a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "07"                           /* Condition */
   },
   /* Condition 13 car noise 6dB UL only*/
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "08a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "13"                          /* Condition */
   },
#if 0 /* Identical to cond. 7 */
   /* Condition 19 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR74",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "08a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "19"                          /* Condition */
   },
#endif
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
   /* Experiment 9a */
   /* AMR Mode 7.4 kbps */
   /* Lab d */
   /* Condition 7 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR74",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "09a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "07"                           /* Condition */
   },

   /* Condition 13 street noise 9dB UL only*/
   {
      STREET_NOISE,                 /* Noise type */
     "MR74",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "09a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "13"                          /* Condition */
   },
#if 0 /* Identical to cond. 7 */
   /* Condition 19 street noise 9dB */
   {
      STREET_NOISE,                 /* Noise type */
     "MR74",                        /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "09a",                        /* Experiment */
	  "d",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "19"                          /* Condition */
   },
#endif
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
   /* Experiment 10 */
   /* AMR Mode 12.2 kbps */
   /* Lab a */
   /* Condition 13 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "10a",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "13"                          /* Condition */
   },

   /* Condition 19 car noise 6dB */
   
   {
      CAR_NOISE,
     "MR122",                       /* Mode rate */
      ARCON_BASE,
	  "10a",
	  "a",
      ARCON_CANDIDATE_ACRONYM,
      "s",
      1,
      6,
      1,
	  "19"
   },
   
   /* Condition 25 car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "10a",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "25"                          /* Condition */
   },
   /* Condition 31 (dynamic) car noise 6dB */
   {
      CAR_NOISE,                    /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "10a",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "31"                          /* Condition */
   },
   /* Condition 37 music 15dB */
   {
      MUSIC,                        /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "10a",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "37"                          /* Condition */
   },
   /* Condition 43 talker 15dB */
   {
      TALKERS,                      /* Noise type */
     "MR122",                       /* Mode rate */
      ARCON_BASE,                   /* Host Lab */
	  "10a",                        /* Experiment */
	  "a",                          /* Candidate acronym */
      ARCON_CANDIDATE_ACRONYM,      /* Host acronym */
      "s",                          /* COMSAT exception in file naming convention */
      1,                            /* First sample */
      6,                            /* Last sample */
      1,                            /* Number of digit in sample number */
	  "43"                          /* Condition */
   },
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------
 *--------------------------------------------------------------------------*/
#endif
   {
      -1
   }
};
